Subject: [VCARDDAV] Errata for RFC 2426

From: "Javier Godoy" <[email-masked]>
Date: Sat, 19 Jan 2008 04:12:03 -0200

I would like to call your attention on some errata Vincent Ricard and me have reported about the ABNF for RFC 2426. All of them are available at http://www.rfc-editor.org/errata_search.php?rfc=2426.  

Perhaps this is a good time for evaluating these errata, and either reject them as innacurate or incorporate them into the next version.

I copy mine below since some encoding was not handled properly when migrating to the new RFC errata web interface. The errata identified for Section 7 (p. 38) of RFC 2426 does not apply here because the Authors' vCards are now valid.

Regards,

Roberto Javier Godoy
Universidad Nacional del Litoral
Santa Fe - Argentina

----- Original Message ----- 
From: Javier Godoy 
To: [email-masked] 
Sent: Sunday, March 25, 2007 3:17 PM
Subject: Erratum for RFC 2426

--------------------------------
Section 4 (p. 29) says:

   ;For name="SOURCE"
   param        = source-param
        ; No parameters allowed

   value        = uri

   source-param = ("VALUE" "=" "uri")
                / ("CONTEXT" "=" "word")
        ; Parameter value specifies the protocol context
        ; for the uri value.
                / (x-name "=" *SAFE-CHAR)

It should say:

   ;For name="SOURCE"
   param        = source-param
        ; Only source parameters allowed

   value        = uri

   source-param = ("VALUE" "=" "uri")
                / ("CONTEXT" "=" "word")
        ; Parameter value specifies the protocol context
        ; for the uri value.
                / (x-name "=" *SAFE-CHAR)

--------------------------------

Section 4 (p. 32) says

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer to image content of given type

It should say:

 ;For name="AGENT"
   param        = agent-inline-param

   param        =/ agent-refer-param

   param        =/ text-param

   value        = agent-inline-value
        ; Value and parameter MUST match

   value        =/ agent-refer-value
        ; Value and parameter MUST match

   value        =/ text-value
        ; Value and parameter MUST match

   agent-inline-param = ""
        ; No parameters allowed

   agent-refer-param = "VALUE" "=" "uri"
        ; Only value parameter allowed

   agent-inline-value = text-value
        ; Value MUST be a valid vCard object

   agent-refer-value = uri
        ; URI MUST refer a valid vCard object

Rationales: 
1 (text-param, text-value)
 - "Type value: The default is a single vcard value. It can also be reset to either a single text or uri value." (Section 3.5.4)
 - The "single text" part was forgotten in the ABNF.
2 (URI MUST refer a valid vCard object)
- Presumably, the comment from img-refer-value was copied, but it was not modified.
- The correction is consistent with comment for agent-inline-value.
- The purpose of AGENT type is "To specify information about another person who will act on behalf of the individual or resource associated with the vCard." (Section 3.5.4)

--------------------------------

Section 4 (p. 34) says:

 ;For name="UID"
   param        = ""
        ; No parameters allowed

   value        = text-value

It should say

 ;For name="UID"
   param        = "TYPE" "=" (iana-token / x-name)
        ; No parameters allowed

   value        = text-value

Rationale: Section 3.6.7 (p. 23) "UID Type Definition" says 

<<The type can include the type parameter "TYPE" to specify the format
   of the identifier. The TYPE parameter value should be an IANA
   registered identifier format. The value can also be a non-standard
   format.>>

--------------------------------

Section 4 (p. 35) says:

   adr-type     = "dom" / "intl" / "postal" / "parcel" / "home"
                / "work" / "pref" / iana-type / x-name

It should say

   adr-type     = "dom" / "intl" / "postal" / "parcel" / "home"
                / "work" / "pref" / iana-token / x-name

Rationale: 
   iana-type is not defined in given ABNF, but iana-token is. This is the only reference to iana-type in the document, so it is likely to be a typo.

   iana-token   = 1*(ALPHA / DIGIT / "-")
        ; vCard type or parameter identifier registered with IANA

_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vcarddav

---

From: Simon Perreault <[email-masked]>
Date: Mon, 21 Jan 2008 10:04:26 -0500

On Saturday 19 January 2008 01:12:03 Javier Godoy wrote:
> I would like to call your attention on some errata Vincent Ricard and me
> have reported about the ABNF for RFC 2426. All of them are available at
> http://www.rfc-editor.org/errata_search.php?rfc=2426.

Thanks, they look accurate to me so I fixed them in our draft.